import 'package:chopper/chopper.dart';
import 'package:tap_network_kit/src/converter/gomobile_error.dart';

class TapErrorConverter extends ErrorConverter {
  @override
  Response<BodyType> convertError<BodyType, InnerType>(
      Response<dynamic> response) {
    print(
        'GoMobileError: ${GoMobileError(message: response.body, reason: response.base.reasonPhrase).toJson()}');
    return response.replace(
      base: response.base,
      body: GoMobileError(
              message: response.body, reason: response.base.reasonPhrase)
          .toJson(),
    );
  }
}
