class GoMobileError {
  GoMobileError({this.reason, this.message});

  String reason;
  String message;

  GoMobileError fromJson(Map<String, dynamic> json) {
    return GoMobileError(reason: json['reason'], message: json['message']);
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = <String, dynamic>{};
    data['reason'] = reason;
    data['message'] = message;
    return data;
  }
}
